﻿using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

using Xamarin.Forms;

namespace SfListViewDemo
{
    public class App : Application
    {
        public App()
        {
            List<string> items = new List<string>();

            for (int i = 0; i < 10000; i++)
                items.Add("ListView Item" + i);

            var stackLayout = new StackLayout();

            stackLayout.Children.Add(new ListView() { ItemsSource = items });
            // The root page of your application
            MainPage = new ContentPage
            {
                //Content = new SfListView() { ItemsSource = items }
                Content = stackLayout
            };

            MainPage = new MainPage();
        }

        protected override void OnStart()
        {
            // Handle when your app starts
        }

        protected override void OnSleep()
        {
            // Handle when your app sleeps
        }

        protected override void OnResume()
        {
            // Handle when your app resumes
        }
    }
}
