﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfListViewDemo
{
    public class ViewModel
    {
        public ObservableCollection<Customer> Customers { get; set; }

        public ViewModel()
        {
            var random = new Random();
            Customers = new ObservableCollection<Customer>();
            for (int i = 1; i <= 10; i++)
            {
                var customer = new Customer();
                customer.CustomerName = "Customer " + i;
                customer.OrdersCount = random.Next(3,10);
                var orders = new List<Order>();
                for (int o = 0; o < customer.OrdersCount; o++)
                {
                    var order = new Order() {OrderID = random.Next(1000,10000), ProductName = "Product " + o};
                    orders.Add(order);
                }
                customer.Orders = orders;
                Customers.Add(customer);
            }
        }
    }
}
